%define major 3
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d


Summary:	KPhone - SIP user agent
Name:		kphone
Version:	3.14
Release:	3mdk
License:	GPL
Group:		Communications
URL:		http://www.wirlab.net/kphone/index.html
BuildRequires:	kdelibs-devel >= 3.1.1
BuildRequires:	openssl-devel >= 0.9.6j
BuildRequires:  qt3-devel >= 3.0.0
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)

Source:		%{name}-%{version}.tar.bz2
Patch1:		kphone-3.14-kdb2html.patch.bz2
Patch2:		kphone-3.14-mdkmenu.patch.bz2

# LJB: Don't really know how to deal with this best
%define _pixmapsdir %{_prefix}/share/icons

# Deal with --tag
%define __libtoolize /bin/true

# Taken from arts package
# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_libdir}/qt3

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
with which you can initiate VoIP (Voice over IP) connections over the
Internet. It also supports Presence and Instant Messaging.

%doc CHANGES COPYING INSTALL README

%package -n %{libname}
Summary:	The libraries for kphone
Group:		Communications
Provides:	%{libname} = %version-%release

%description -n %{libname}
Libraries needed for kphone.

%package -n %{libnamedev} 
Group:		Development/Other
Summary:	Development files for kphone libs
Requires:	%{libname} = %version-%release
Provides:   	libkphone-devel = %version-%release

%description -n %{libnamedev}
Development libraries and headers for kphone.

%prep 
%setup -q 
%patch1 -p1
%patch2 -p1

%build
# This will be outside the build root and thus ignored.
# We don't want the .desktop file anyway
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/%_lib:$LD_LIBRARY_PATH

# Update config.{sub,guess} to recognize amd64-*
%{?__cputoolize: %{__cputoolize}}

%configure \
        --prefix=%_prefix \
        --libdir=%_libdir \
        --build=%_target_platform \
        --host=%_target_platform \
        --enable-shared \
        --with-gnu-ld \
        --with-pic \
        --enable-mt \
        --disable-rpath \
        --with-distribution="Mandrake Linux Cooker %_target_cpu - Cooker" \
        --x-includes=/usr/X11R6/include \
        --x-libraries=/usr/X11R6/%_lib \
        --with-qt-dir=%qtdir \
        --with-qt-includes=%qtdir/include \
        --with-qt-libraries=%qtdir/%_lib

# crashes build - from copied spec file, not verified: LJB
#	--enable-final \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/menu

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Don't want to patch the Makefile
cp kphone/kphone.menu $RPM_BUILD_ROOT%{_libdir}/menu/kphone

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /usr/bin/update-menus
%postun -p /usr/bin/update-menus
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kphone
%{_libdir}/menu/kphone
%{_datadir}/apps/kphone/icons/hicolor/32x32/actions/*.png
%{_pixmapsdir}/*/*/apps/*.png

%files -n %{libname}
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libnamedev}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/dissipate2
%{_includedir}/kphonegsm
%{_includedir}/ilbc

%changelog
* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 3.14-3mdk
- Fix menu

* Wed Dec 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.14-1mdk
- from Lonnie Borntreger <cooker@borntreger.com> 3.14-1mdk
  - First attempt to create Mandrake RPM
  - patch1: remove kdb2html from configure
  - patch2: add Mandrake menu file
  - Add libification
